Subject: Re: bug#54486: 29.0.50; Eshell `escaped' string property can "leak" into output

From: Eli Zaretskii <[email-masked]>
Date: Mon, 21 Mar 2022 22:00:00 +0200

> Cc: [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Mon, 21 Mar 2022 12:24:09 -0700
> 
> I didn't know `yank-excluded-properties' existed. I think that would be 
> a good thing to use for this.
> 
> Besides that, I think it would be best if Eshell didn't show the 
> `escaped' property when printing things under normal circumstances. It's 
> really just for internal bookkeeping in Eshell, so I think users are 
> unlikely to want to see it in most cases. The best way to fix this might 
> be to rethink how Eshell (specifically `eshell-stringify') prints lists 
> by default. This is mentioned in bug#12689 (though that bug additionally 
> describes an unrelated issue with Eshell subcommands that I've since fixed).

Eshell commands that print strings could remove that property.

> Finally, maybe it would be good to change the name of the `escaped' 
> property to something like `eshell-escaped'.

Yes, that'd be a good thing.  But I'm worried that it could cause
failures in existing code, couldn't it?  We could do that as an
experiment and see if anyone complains.